Reorder metadata descriptors for a specific entity type and project. Descriptors are reordered based on the list of descriptor IDs provided in the request body. Position is set according to the order in the list.
POST
/data/projects/{project_id}/metadata-descriptors/reorder
curl
curl -X POST "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/metadata-descriptors/reorder" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"entity_type": "Asset",
"descriptor_ids": [
"b35b7fb5-df86-5776-b181-68564193d36",
"c46c8gc6-eg97-6887-c292-79675204e47"
]
}'
import requests
url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/metadata-descriptors/reorder"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"entity_type": "Asset",
"descriptor_ids": [
"b35b7fb5-df86-5776-b181-68564193d36",
"c46c8gc6-eg97-6887-c292-79675204e47"
]
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/metadata-descriptors/reorder' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"entity_type":"Asset","descriptor_ids":["b35b7fb5-df86-5776-b181-68564193d36","c46c8gc6-eg97-6887-c292-79675204e47"]}'
Request examples
{
"entity_type": "Asset",
"descriptor_ids": [
"b35b7fb5-df86-5776-b181-68564193d36",
"c46c8gc6-eg97-6887-c292-79675204e47"
]
}
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Custom Field",
"position": 1,
"entity_type": "Asset"
}
]